com.lowagie.text.pdf

## Class PdfImportedPage

- java.lang.Object
- - com.lowagie.text.pdf.PdfContentByte
  - - com.lowagie.text.pdf.PdfTemplate
    - - com.lowagie.text.pdf.PdfImportedPage

    public class PdfImportedPage
    extends PdfTemplate

Represents an imported page.

Author:
  Paulo Soares (psoares@consiste.pt)

### Nested Class Summary

### Nested classes/interfaces inherited from class com.lowagie.text.pdf.PdfContentByte

`PdfContentByte.GraphicState`

### Field Summary

Fields
`(package private) int` `pageNumber`
`(package private) PdfReaderInstance` `readerInstance`

### Fields inherited from class com.lowagie.text.pdf.PdfTemplate

`bBox, group, layer, matrix, pageResources, thisReference, type, TYPE_IMPORTED, TYPE_PATTERN, TYPE_TEMPLATE`

### Fields inherited from class com.lowagie.text.pdf.PdfContentByte

`ALIGN_CENTER, ALIGN_LEFT, ALIGN_RIGHT, content, layerDepth, LINE_CAP_BUTT, LINE_CAP_PROJECTING_SQUARE, LINE_CAP_ROUND, LINE_JOIN_BEVEL, LINE_JOIN_MITER, LINE_JOIN_ROUND, pdf, separator, state, stateList, TEXT_RENDER_MODE_CLIP, TEXT_RENDER_MODE_FILL, TEXT_RENDER_MODE_FILL_CLIP, TEXT_RENDER_MODE_FILL_STROKE, TEXT_RENDER_MODE_FILL_STROKE_CLIP, TEXT_RENDER_MODE_INVISIBLE, TEXT_RENDER_MODE_STROKE, TEXT_RENDER_MODE_STROKE_CLIP, writer`

### Constructor Summary

Constructors
Constructor and Description
`PdfImportedPage(PdfReaderInstance readerInstance, PdfWriter writer, int pageNumber)`

### Method Summary

Methods
`void` `addImage(Image image, float a, float b, float c, float d, float e, float f)` Always throws an error.
`void` `addTemplate(PdfTemplate template, float a, float b, float c, float d, float e, float f)` Always throws an error.
`PdfContentByte` `getDuplicate()` Always throws an error.
`(package private) PdfStream` `getFormXObject(int compressionLevel)` Gets the stream representing this page.
`PdfImportedPage` `getFromReader()` Reads the content from this `PdfImportedPage`-object from a reader.
`int` `getPageNumber()`
`(package private) PdfReaderInstance` `getPdfReaderInstance()`
`(package private) PdfObject` `getResources()` Constructs the resources used by this template.
`void` `setColorFill(PdfSpotColor sp, float tint)` Sets the fill color to a spot color.
`void` `setColorStroke(PdfSpotColor sp, float tint)` Sets the stroke color to a spot color.
`void` `setFontAndSize(BaseFont bf, float size)` Always throws an error.
`void` `setGroup(PdfTransparencyGroup group)` Always throws an error.
`(package private) void` `throwError()`

### Methods inherited from class com.lowagie.text.pdf.PdfTemplate

`beginVariableText, createTemplate, createTemplate, endVariableText, getBoundingBox, getGroup, getHeight, getIndirectReference, getLayer, getMatrix, getPageResources, getType, getWidth, setBoundingBox, setHeight, setLayer, setMatrix, setWidth`

### Methods inherited from class com.lowagie.text.pdf.PdfContentByte

`add, addAnnotation, addImage, addImage, addImage, addOutline, addPSXObject, addTemplate, addTemplateReference, arc, beginLayer, beginMarkedContentSequence, beginMarkedContentSequence, beginMarkedContentSequence, beginText, bezierArc, checkNoPattern, checkWriter, circle, clip, closePath, closePathEoFillStroke, closePathFillStroke, closePathStroke, concatCTM, createAppearance, createAppearance, createGraphics, createGraphics, createGraphics, createGraphics, createGraphicsShapes, createGraphicsShapes, createPattern, createPattern, createPattern, createPattern, createPrinterGraphics, createPrinterGraphics, createPrinterGraphics, createPrinterGraphics, createPrinterGraphicsShapes, createPrinterGraphicsShapes, createTemplate, createTemplate, curveFromTo, curveTo, curveTo, drawButton, drawRadioField, drawTextField, ellipse, endLayer, endMarkedContentSequence, endText, eoClip, eoFill, eoFillStroke, escapeString, escapeString, fill, fillStroke, getCharacterSpacing, getEffectiveStringWidth, getHorizontalScaling, getInternalBuffer, getKernArray, getLeading, getPdfDocument, getPdfWriter, getRootOutline, getWordSpacing, getXTLM, getYTLM, lineTo, localDestination, localGoto, moveText, moveTextWithLeading, moveTo, newlineShowText, newlineShowText, newlineText, newPath, outputColorNumbers, paintShading, paintShading, rectangle, rectangle, remoteGoto, remoteGoto, reset, reset, resetCMYKColorFill, resetCMYKColorStroke, resetGrayFill, resetGrayStroke, resetRGBColorFill, resetRGBColorStroke, restoreState, roundRectangle, sanityCheck, saveState, setAction, setCharacterSpacing, setCMYKColorFill, setCMYKColorFillF, setCMYKColorStroke, setCMYKColorStrokeF, setColorFill, setColorStroke, setDefaultColorspace, setFlatness, setGrayFill, setGrayStroke, setGState, setHorizontalScaling, setLeading, setLineCap, setLineDash, setLineDash, setLineDash, setLineDash, setLineJoin, setLineWidth, setLiteral, setLiteral, setLiteral, setMiterLimit, setPatternFill, setPatternFill, setPatternFill, setPatternStroke, setPatternStroke, setPatternStroke, setRGBColorFill, setRGBColorFillF, setRGBColorStroke, setRGBColorStrokeF, setShadingFill, setShadingStroke, setTextMatrix, setTextMatrix, setTextRenderingMode, setTextRise, setWordSpacing, showText, showText, showTextAligned, showTextAlignedKerned, showTextKerned, size, stroke, toPdf, toString, transform, variableRectangle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### readerInstance

    PdfReaderInstance readerInstance

#### pageNumber

    int pageNumber

### Constructor Detail

#### PdfImportedPage

    PdfImportedPage(PdfReaderInstance readerInstance,
                   PdfWriter writer,
                   int pageNumber)

### Method Detail

#### getFromReader

    public PdfImportedPage getFromReader()

Reads the content from this `PdfImportedPage`-object from a reader.

Returns:
  self

#### getPageNumber

    public int getPageNumber()

#### addImage

    public void addImage(Image image,
                float a,
                float b,
                float c,
                float d,
                float e,
                float f)
                  throws DocumentException

Always throws an error. This operation is not allowed.

Overrides:
  `addImage` in class `PdfContentByte`
Parameters:
  `image` - dummy
  `a` - dummy
  `b` - dummy
  `c` - dummy
  `d` - dummy
  `e` - dummy
  `f` - dummy
Throws:
  `DocumentException` - dummy

#### addTemplate

    public void addTemplate(PdfTemplate template,
                   float a,
                   float b,
                   float c,
                   float d,
                   float e,
                   float f)

Always throws an error. This operation is not allowed.

Overrides:
  `addTemplate` in class `PdfContentByte`
Parameters:
  `template` - dummy
  `a` - dummy
  `b` - dummy
  `c` - dummy
  `d` - dummy
  `e` - dummy
  `f` - dummy

#### getDuplicate

    public PdfContentByte getDuplicate()

Always throws an error. This operation is not allowed.

Overrides:
  `getDuplicate` in class `PdfTemplate`
Returns:
  dummy

#### getFormXObject

    PdfStream getFormXObject(int compressionLevel)
                       throws java.io.IOException

Gets the stream representing this page.

Overrides:
  `getFormXObject` in class `PdfTemplate`
Parameters:
  `compressionLevel` - the compressionLevel
Returns:
  the stream representing this page
Throws:
  `java.io.IOException`
Since:
  2.1.3 (replacing the method without param compressionLevel)

#### setColorFill

    public void setColorFill(PdfSpotColor sp,
                    float tint)

Description copied from class: `PdfContentByte`
Sets the fill color to a spot color.

Overrides:
  `setColorFill` in class `PdfContentByte`
Parameters:
  `sp` - the spot color
  `tint` - the tint for the spot color. 0 is no color and 1 is 100% color

#### setColorStroke

    public void setColorStroke(PdfSpotColor sp,
                      float tint)

Description copied from class: `PdfContentByte`
Sets the stroke color to a spot color.

Overrides:
  `setColorStroke` in class `PdfContentByte`
Parameters:
  `sp` - the spot color
  `tint` - the tint for the spot color. 0 is no color and 1 is 100% color

#### getResources

    PdfObject getResources()

Description copied from class: `PdfTemplate`
Constructs the resources used by this template.

Overrides:
  `getResources` in class `PdfTemplate`
Returns:
  the resources used by this template

#### setFontAndSize

    public void setFontAndSize(BaseFont bf,
                      float size)

Always throws an error. This operation is not allowed.

Overrides:
  `setFontAndSize` in class `PdfContentByte`
Parameters:
  `bf` - dummy
  `size` - dummy

#### setGroup

    public void setGroup(PdfTransparencyGroup group)

Always throws an error. This operation is not allowed.

Overrides:
  `setGroup` in class `PdfTemplate`
Parameters:
  `group` - New value of property group.
Since:
  2.1.6

#### throwError

    void throwError()

#### getPdfReaderInstance

    PdfReaderInstance getPdfReaderInstance()